net.fortuna.ical4j.util

## Class InetAddressHostInfo

- java.lang.Object
- - net.fortuna.ical4j.util.InetAddressHostInfo

All Implemented Interfaces:
  HostInfo

    public class InetAddressHostInfo
    extends Object
    implements HostInfo

Author:
  fortuna

### Constructor Summary

Constructors
Constructor and Description
`InetAddressHostInfo()`
`InetAddressHostInfo(InetAddress address)`

### Method Summary

Methods
`String` `getHostName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InetAddressHostInfo

    public InetAddressHostInfo()
                        throws SocketException

Throws:
  `SocketException` - where an error occurs identifying the host address

#### InetAddressHostInfo

    public InetAddressHostInfo(InetAddress address)

Parameters:
  `address` - a host address

### Method Detail

#### getHostName

    public String getHostName()

Specified by:
  `getHostName` in interface `HostInfo`
Returns:
  a name for the host machine